package fi.cas.opplugin;

import com.alibaba.druid.util.StringUtils;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.args.AfterOperationArgs;
import kd.bos.entity.plugin.args.BeforeOperationArgs;


public class PayQueryOP extends AbstractOperationServicePlugIn {
    private static final String ENTITY_NAME = "cas_paybill";

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);


    }

    @Override
    public void beforeExecuteOperationTransaction(BeforeOperationArgs e) {

        String errMsg = "";

        //获取选中行
        DynamicObject[] billEntities = e.getDataEntities();

        //获取操作按钮操作编码
        String operationKey = e.getOperationKey();
        if (StringUtils.equals( "paytoqianzhi",operationKey)){
            errMsg =  PayBillToolUtil.payBillForCBSSync(billEntities);
        }
        if(!errMsg.isEmpty()) {
            ////将错误信息返回到前端
            e.setCancelMessage(errMsg);
            e.setCancel(true);
            System.out.println("PayToZFQZOP 错误信息：" + errMsg.toString());
        }
    }


    @Override
    public void afterExecuteOperationTransaction(AfterOperationArgs e) {
        super.afterExecuteOperationTransaction(e);

    }
}
